# Class AuthSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a set of configuration settings used to control authentication behavior.

    public class AuthSettings

Inheritance
  object
  AuthSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### JwtConfig

    public JwtConfig? JwtConfig { get; set; }

#### Property Value

JwtConfig

### LoginMethods

    public List<string> LoginMethods { get; set; }

#### Property Value

List<string>

### UsersWhiteListConfig

    public UsersWhiteListConfig UsersWhiteListConfig { get; set; }

#### Property Value

UsersWhiteListConfig